#ifndef TANK_H__
#define TANK_H__


class Tank {
    public:
        int x, y;
        int w;
        int h;
        int tank_color;
        float barrel_theta;
        int barrel_length;
        int wheel_rad;
        
        
        Tank(int sx, int sy, int width, int height, int color);
        int min_x(void);
        int min_y(void);
        int max_x(void);
        int max_y(void);
        
        void barrel_end(int& bx, int& by);
        
        void reposition(int new_x, int new_y, float new_theta);
        void draw();
};

#endif